Bug 14854 - Add DataTables on upload results table
Summary: Add DataTables on upload results table
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-18 14:29 UTC by Marcel de Rooy
Modified: 2017-02-19 20:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14854: removed record length limit test (1.24 KB, patch)
2015-09-21 15:58 UTC, Barton Chittenden
Details | Diff | Splinter Review
Bug 14854: Add DataTables on upload results table (2.14 KB, patch)
2017-02-14 01:15 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 14854: Add DataTables on upload results table (2.24 KB, patch)
2017-02-16 07:30 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 14854: Add DataTables on upload results table (2.27 KB, patch)
2017-02-16 13:10 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2015-09-18 14:29:52 UTC
From bug 14321:
Add DataTables on upload results table (with sort, pagination and filters)
Comment 1 Barton Chittenden 2015-09-21 15:58:26 UTC Comment hidden (obsolete)
Comment 2 Barton Chittenden 2015-09-21 17:01:44 UTC Comment hidden (obsolete)
Comment 3 Aleisha Amohia 2017-02-14 01:15:53 UTC
Created attachment 60168 [details] [review]
Bug 14854: Add DataTables on upload results table

This patch adds datatables to the upload results table.
Tools -> Upload

To test:
1) Go to Tolls -> Upload
2) Put any search term in search box, click Search
3) Confirm table shows as datatable and sorting works on all columns
EXCEPT Actions

Sponsored-by: Catalyst IT
Comment 4 Marcel de Rooy 2017-02-14 08:40:41 UTC
Thanks, Aleisha ! Hope to sign this one off soon
Comment 5 Marcel de Rooy 2017-02-16 07:30:56 UTC
Created attachment 60302 [details] [review]
Bug 14854: Add DataTables on upload results table

This patch adds datatables to the upload results table.
Tools -> Upload

To test:
1) Go to Tools -> Upload
2) Put any search term in search box, click Search
3) Confirm table shows as datatable and sorting works on all columns
EXCEPT Actions

Sponsored-by: Catalyst IT

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Jonathan Druart 2017-02-16 13:10:17 UTC
Created attachment 60336 [details] [review]
Bug 14854: Add DataTables on upload results table

This patch adds datatables to the upload results table.
Tools -> Upload

To test:
1) Go to Tools -> Upload
2) Put any search term in search box, click Search
3) Confirm table shows as datatable and sorting works on all columns
EXCEPT Actions

Sponsored-by: Catalyst IT

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Kyle M Hall 2017-02-17 11:36:32 UTC
Pushed to master for 17.05, thanks Aleisha!
Comment 8 Katrin Fischer 2017-02-19 20:16:22 UTC
This won't get ported back to 16.11.x as it is an enhancement.